Name:           megi-kernel-ppp-beta
Version:        6.4.0
Release:        0.rc5%{?dist}
Summary:        latest megi kernel for the pinephone 

License:        GPLv3+
URL:            https://megous.com/git/linux/log/?h=orange-pi-6.3
#########Source0:        ppp.tar.gz
Source0:        pinephones-beta.tar.gz
#Source1:        boot.cmd
#Source2:        boot.scr

#Requires:       pp-uboot 
#Requires:       pinephone-helpers >= 0.0.8-3

#Obsoletes:      kernel-megi-bh
#Obsoletes:      kernel-megi-ce

%description
Megis version of the Linux Kernel, for PinePhone PRO.

%global debug_package %{nil}

%prep
##############autosetup -p1 -n ppp-5.19
%autosetup -p1 -n pinephones


%install
mkdir -p $RPM_BUILD_ROOT/boot/
cp Image $RPM_BUILD_ROOT/boot/
cp linux.config $RPM_BUILD_ROOT/boot/
mkdir -p $RPM_BUILD_ROOT/boot/allwinner
mkdir -p $RPM_BUILD_ROOT/boot/rockchip
cp -r allwinner/* $RPM_BUILD_ROOT/boot/allwinner
cp -r rockchip/* $RPM_BUILD_ROOT/boot/rockchip
mkdir -p $RPM_BUILD_ROOT/lib/modules/
cp -r modules/lib/modules/* $RPM_BUILD_ROOT/lib/modules/

%files
/boot/Image
/boot/linux.config
#/boot/boot.cmd
#/boot/boot.scr
/lib/modules/
/boot/allwinner
/boot/rockchip

%changelog
* Mon Jun 12 2023 Yoda - 6.4.0-rc5
- Upgrade to 6.4.0-rc5

* Sun Apr 30 2023 Yoda - 6.3.0-rc9
- Update to 6.3.0-rc9

* Thu Mar 30 2023 Yoda - 6.3.0-rc4
- Update to 6.3.0-rc4

* Wed Mar 15 2023 Yoda - 6.3.0-rc2
- Upgrade to 6.3.0-rc2

* Mon Jan 30 2023 Yoda - 6.2.0-rc5
- Upgrade to 6.2.0-rc5

* Sun Dec 11 2022 Yoda - 6.1.0-0.rc8
- Upgrade to 6.1.0-rc8

* Sat Dec 10 2022 Yoda - 6.1.0-0.rc7
- Upgrade to 6.1.0-rc7

* Mon Oct 17 2022 Yoda - 6.1.0-0.rc1
- Upgrade to 6.1.0-rc1

* Sun Oct 16 2022 Yoda - 6.0.0-1
- Upgrade to 6.0.0

* Mon Aug 29 2022 Yoda - 5.19.3-2
- A bunch of audio corrections

* Mon Aug 22 2022 Yoda - 5.19.3-1
- Upgrade to 5.19.3

* Sat Aug 20 2022 Yoda - 5.19.2-1
- Upgrade to 5.19.2

* Thu Aug 04 2022 Yoda - 5.19.0-2
- Update to 5.19.0-2
- New common kernel for PP and PPP

* Sun Jul 31 2022 Yoda - 5.19.0-1.rc7
- Update to 5.19.0-1.rc7

* Sun Jul 17 2022 Yoda - 5.19.0-1.rc6
- Update to 5.19.0-1.rc6

* Fri Jul 08 2022 Yoda - 5.19.0-1.rc5
- Update to 5.19.0-1.rc5

* Tue Jun 28 2022 Yoda - 5.19.0-1.rc4
- Update to 5.19.0-1.rc4

* Tue Jun 21 2022 Yoda - 5.18.4-1
- Update to 5.18.4-1

* Fri May 27 2022 Yoda - 5.18.0-1.rc8
- Update to 5.18.0-1.rc8

* Sat Apr 09 2022 Yoda - 5.18.0-1.rc1
- Update to 5.18.0-1.rc1

* Sat Apr 09 2022 Yoda - 5.17.2-1
- Update to 5.17.2-1

* Thu Mar 03 2022 Yoda - 5.17.0-1
- Update to 5.17.0-1

* Thu Mar 03 2022 Yoda - 5.17.0-rc5.1
- minor fixes to spec
- Update the defconfig and rebuild kernel

* Sun Feb 27 2022 Yoda - 5.17.0-rc5
- Initial packaging (hack)
